import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiClassPropertyDto } from "../contracts/api-definitions";
export declare class ApiClassProperty extends ApiItem<ts.PropertyDeclaration, ApiClassPropertyDto> {
    private location;
    private accessModifier;
    private isAbstract;
    private isStatic;
    private isReadonly;
    private isOptional;
    private type;
    protected OnGatherData(): void;
    OnExtract(): ApiClassPropertyDto;
}
