import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiMappedDto } from "../contracts/api-definitions";
export declare class ApiMapped extends ApiItem<ts.MappedTypeNode, ApiMappedDto> {
    private location;
    private typeParameter;
    private type;
    private isReadonly;
    private isOptional;
    protected OnGatherData(): void;
    OnExtract(): ApiMappedDto;
}
