import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiParameterDto } from "../contracts/api-definitions";
export declare class ApiParameter extends ApiItem<ts.ParameterDeclaration, ApiParameterDto> {
    private location;
    private type;
    private isOptional;
    private isSpread;
    private initializer;
    protected OnGatherData(): void;
    OnExtract(): ApiParameterDto;
}
