import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiDefinitionKind, ApiTypeLiteralDto } from "../contracts/api-definitions";
export declare class ApiTypeLiteral extends ApiItem<ts.TypeLiteralNode | ts.ObjectLiteralExpression, ApiTypeLiteralDto> {
    private location;
    private members;
    protected ResolveApiKind(): ApiDefinitionKind.TypeLiteral | ApiDefinitionKind.ObjectLiteral;
    protected OnGatherData(): void;
    OnExtract(): ApiTypeLiteralDto;
}
