import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiTypeParameterDto } from "../contracts/api-definitions";
export declare class ApiTypeParameter extends ApiItem<ts.TypeParameterDeclaration, ApiTypeParameterDto> {
    private location;
    private constraintType;
    private defaultType;
    protected OnGatherData(): void;
    OnExtract(): ApiTypeParameterDto;
}
