import * as ts from "typescript";
import { ApiDefinitionKind, ApiConstructDto } from "../contracts/api-definitions";
import { ApiCallableBase } from "../abstractions/api-callable-base";
export declare class ApiConstruct extends ApiCallableBase<ts.ConstructSignatureDeclaration | ts.ConstructorTypeNode, ApiConstructDto> {
    protected ResolveApiKind(): ApiDefinitionKind.Construct | ApiDefinitionKind.ConstructorType;
    OnExtract(): ApiConstructDto;
}
