import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiExportDto } from "../contracts/api-definitions";
export declare class ApiExport extends ApiItem<ts.ExportDeclaration, ApiExportDto> {
    private location;
    private getExportPath();
    private sourceFileId;
    private apiSourceFile;
    protected OnGatherData(): void;
    OnExtract(): ApiExportDto;
}
