import * as ts from "typescript";
import { ApiDefinitionKind, ApiFunctionExpressionDto } from "../contracts/api-definitions";
import { ApiCallableBase } from "../abstractions/api-callable-base";
export declare type FunctionTypes = ts.FunctionExpression | ts.FunctionTypeNode | ts.ArrowFunction;
export declare class ApiFunctionExpression extends ApiCallableBase<FunctionTypes, ApiFunctionExpressionDto> {
    protected ResolveApiKind(): ApiDefinitionKind.FunctionExpression | ApiDefinitionKind.FunctionType | ApiDefinitionKind.ArrowFunction;
    OnExtract(): ApiFunctionExpressionDto;
}
