import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiIndexDto } from "../contracts/api-definitions";
export declare class ApiIndex extends ApiItem<ts.IndexSignatureDeclaration, ApiIndexDto> {
    private location;
    private parameter;
    private type;
    private isReadonly;
    protected OnGatherData(): void;
    OnExtract(): ApiIndexDto;
}
