import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiDefinitionKind, ApiNamespaceDto } from "../contracts/api-definitions";
export declare class ApiNamespace extends ApiItem<ts.ModuleDeclaration | ts.NamespaceImport, ApiNamespaceDto> {
    private location;
    private members;
    protected ResolveApiKind(): ApiDefinitionKind.Namespace | ApiDefinitionKind.ImportNamespace;
    protected OnGatherData(): void;
    OnExtract(): ApiNamespaceDto;
}
