import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiPropertyDto } from "../contracts/api-definitions";
export declare class ApiProperty extends ApiItem<ts.PropertySignature | ts.PropertyAssignment, ApiPropertyDto> {
    private location;
    private type;
    private isOptional;
    private isReadonly;
    protected OnGatherData(): void;
    OnExtract(): ApiPropertyDto;
}
