import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiSourceFileDto } from "../contracts/api-definitions";
export declare class ApiSourceFile extends ApiItem<ts.SourceFile, ApiSourceFileDto> {
    private location;
    private members;
    private getFileName();
    protected OnGatherData(): void;
    OnExtract(): ApiSourceFileDto;
}
